[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[E-devel] teeny patch for e_modules autogen.sh



this patch makes two very small, but good changes..

- don't create .spec in dirs without autogen.sh
- use a shared config.cache

--
Cheers,
Morten
:wq
Index: autogen.sh
===================================================================
RCS file: /var/cvs/e/e_modules/autogen.sh,v
retrieving revision 1.3
diff -u -r1.3 autogen.sh
--- autogen.sh  21 Jan 2006 00:36:01 -0000      1.3
+++ autogen.sh  24 May 2006 07:50:47 -0000
@@ -1,11 +1,13 @@
 #!/bin/sh
 
+cache=`mktemp`
+
 for d in * ; do
        test -d "$d" || continue
-       sed "s,%MODNAME%,$d,g" e_modules-TEMPLATE.spec.in > "$d/e_modules-$d.spec.in"
        test -x "${d}/autogen.sh" || continue
+       sed "s,%MODNAME%,$d,g" e_modules-TEMPLATE.spec.in > "$d/e_modules-$d.spec.in"
        echo "AUTOGEN:  $d"
-       (cd $d && ./autogen.sh "$@") || exit 1
+       (cd $d && ./autogen.sh --config-cache=$cache "$@") || exit 1
 done
 
 cp -p configure.in configure